Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class SSHConfiguration

    java.lang.Object
      com.stc.eways.batchext.SSHConfiguration

    public class SSHConfiguration

extends java.lang.Object

This class is used to represent a given SSH client configuration.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2008/02/25 16:56:24 $
Author:
  Harry Liu

Constructor Summary
`SSHConfiguration()` Constructor.

Method Summary
`boolean` | `getSshChannelEstablished()` Allows you to check on whether an SSH channel exists already.
`java.lang.String` | `getSshCommandLine()` Gets an SSH command line.
`java.lang.String` | `getSshListenHost()` Gets the name of an SSH listen host.
`int` | `getSshListenPort()` Gets an SSH listen port.
`java.lang.String` | `getSshPassword()` Gets an SSH encrypted password.
`boolean` | `getSshTunnelingEnabled()` Allows you to check on whether the SSH feature is enabled.
`java.lang.String` | `getSshUserName()` Gets an SSH user name.
`boolean` | `isSshChannelEstablished()` Checks on whether an SSH channel exists already.
`boolean` | `isSshTunnelingEnabled()` Checks on whether the SSH feature is enabled.
`static void` | `main(java.lang.String[] args)` Used to do stand-alone testing.
`void` | `setSshChannelEstablished(boolean newSshChannelEstablished)` Allows you to enable or disable the flag for "SSH Channel Established."
`void` | `setSshCommandLine(java.lang.String newSshCommandLine)` Allows you to set the SSH command line.
`void` | `setSshEncryptedPassword(java.lang.String newSshPassword)` Sets an sshPassword.
`void` | `setSshListenHost(java.lang.String newSshListenHost)` Sets an SSH listen host.
`void` | `setSshListenPort(int newSshListenPort)` Sets an SSH listen port.
`void` | `setSshPassword(java.lang.String newSshPassword)` Sets an sshPassword.
`void` | `setSshTunnelingEnabled(boolean newSshTunnelingEnabled)` Allows you to enable or disable the flag for "SSH Tunneling Enabled."
`void` | `setSshUserName(java.lang.String newSshUserName)` Sets the SSH user name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHConfiguration

    public SSHConfiguration()

  Constructor.

Method Detail

### main

    public static void main(java.lang.String[] args)

  Used to do stand-alone testing.

  Parameters:
    `args` - Command-line parameters.
  Throws:
    `java.lang.Exception` - If some error occurs.

### getSshListenHost

    public java.lang.String getSshListenHost()

  Gets the name of an SSH listen host.

  Returns:
    An SSH listen host.

### getSshListenPort

    public int getSshListenPort()

  Gets an SSH listen port.

  Returns:
    An SSH listen port.

### getSshPassword

    public java.lang.String getSshPassword()

  Gets an SSH encrypted password.

  Returns:
    An SSH encrypted passowrd.

### getSshUserName

    public java.lang.String getSshUserName()

  Gets an SSH user name.

  Returns:
    An SSH user name.

### setSshListenHost

    public void setSshListenHost(java.lang.String newSshListenHost)

  Sets an SSH listen host.

  Parameters:
    `newSshListenHost` - An SSH listen host.

### setSshListenPort

    public void setSshListenPort(int newSshListenPort)

  Sets an SSH listen port.

  Parameters:
    `newSshListenPort` - An SSH listen port.

### setSshPassword

    public void setSshPassword(java.lang.String newSshPassword)

  Sets an sshPassword.

  The input for this method is a non-encrypted password. You must use another method, setSshEncryptedPassword(String password), if the input is an encrypted password.

  Parameters:
    `newSshPassword` - The non-encrypted password.

### setSshEncryptedPassword

    public void setSshEncryptedPassword(java.lang.String newSshPassword)

  Sets an sshPassword.

  The input for this method is an encrypted password. You must use another method, setSshPassword(String password), if the input is a non-encrypted password.

  Parameters:
    `newSshPassword` - The encrypted password.

### setSshUserName

    public void setSshUserName(java.lang.String newSshUserName)

  Sets the SSH user name.

  Parameters:
    `newSshUserName` - The SSH user name.

### getSshCommandLine

    public java.lang.String getSshCommandLine()

  Gets an SSH command line.

  Returns:
    An SSH command line.

### isSshChannelEstablished

    public boolean isSshChannelEstablished()

  Checks on whether an SSH channel exists already.

  Returns:
    true or false.

### isSshTunnelingEnabled

    public boolean isSshTunnelingEnabled()

  Checks on whether the SSH feature is enabled.

  Returns:
    true or false.

### setSshChannelEstablished

    public void setSshChannelEstablished(boolean newSshChannelEstablished)

  Allows you to enable or disable the flag for "SSH Channel Established."

  Parameters:
    `newSshChannelEstablished` - true or false.

### setSshCommandLine

    public void setSshCommandLine(java.lang.String newSshCommandLine)

  Allows you to set the SSH command line.

  Parameters:
    `newSshCommandLine` - The SSH command line.

### setSshTunnelingEnabled

    public void setSshTunnelingEnabled(boolean newSshTunnelingEnabled)

  Allows you to enable or disable the flag for "SSH Tunneling Enabled."

  Parameters:
    `newSshTunnelingEnabled` - true or false.

### getSshChannelEstablished

    public boolean getSshChannelEstablished()

  Allows you to check on whether an SSH channel exists already.

  Returns:
    true or false.

### getSshTunnelingEnabled

    public boolean getSshTunnelingEnabled()

  Allows you to check on whether the SSH feature is enabled.

  Returns:
    true or false.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD